Update customer
curl --request PATCH \
--url https://www.carstoragesoftware.com/api/v1/customers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"companyName": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isActive": true,
"restore": true,
"deletedAt": null
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
companyName: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
address: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>',
country: '<string>',
locationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
isActive: true,
restore: true,
deletedAt: null
})
};
fetch('https://www.carstoragesoftware.com/api/v1/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/customers/{id}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"companyName": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isActive": True,
"restore": True,
"deletedAt": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"userId": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"companyName": "<string>",
"email": "<string>",
"phone": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"isActive": true,
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Customers
Update customer
Requires write:customers.
PATCH
/
api
/
v1
/
customers
/
{id}
Update customer
curl --request PATCH \
--url https://www.carstoragesoftware.com/api/v1/customers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"companyName": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isActive": true,
"restore": true,
"deletedAt": null
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
companyName: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
address: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>',
country: '<string>',
locationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
isActive: true,
restore: true,
deletedAt: null
})
};
fetch('https://www.carstoragesoftware.com/api/v1/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/customers/{id}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"companyName": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isActive": True,
"restore": True,
"deletedAt": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"userId": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"companyName": "<string>",
"email": "<string>",
"phone": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"isActive": true,
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Authorizations
Team API key from Settings → Integrations. Use Authorization: Bearer <key> or x-api-key.
Path Parameters
Body
application/json
Minimum string length:
1Minimum string length:
1Response
Updated.
Show child attributes
Show child attributes
Was this page helpful?
⌘I